Package org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.antlr3

# Class ANTLR3LocationToken

java.lang.Object
org.antlr.runtime.CommonToken
org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.antlr3.ANTLR3LocationToken

All Implemented Interfaces:
  `Serializable`, `org.antlr.runtime.Token`

public class ANTLR3LocationToken extends org.antlr.runtime.CommonToken

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.antlr.runtime.CommonToken

`channel, charPositionInLine, index, input, line, start, stop, text, type`

### Fields inherited from interface org.antlr.runtime.Token

`DEFAULT_CHANNEL, DOWN, EOF, EOF_TOKEN, EOR_TOKEN_TYPE, HIDDEN_CHANNEL, INVALID_TOKEN, INVALID_TOKEN_TYPE, MIN_TOKEN_TYPE, SKIP_TOKEN, UP`

## Constructor Summary

Constructors
Constructor
Description
`ANTLR3LocationToken(org.antlr.runtime.CharStream input, int type, int channel, int start, int stop)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndColumn()`
`int`
`getEndLine()`
`void`
`setEndColumn(int endColumn)`
`void`
`setEndLine(int endLine)`

### Methods inherited from class org.antlr.runtime.CommonToken

`getChannel, getCharPositionInLine, getInputStream, getLine, getStartIndex, getStopIndex, getText, getTokenIndex, getType, setChannel, setCharPositionInLine, setInputStream, setLine, setStartIndex, setStopIndex, setText, setTokenIndex, setType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ANTLR3LocationToken

public ANTLR3LocationToken(org.antlr.runtime.CharStream input, int type, int channel, int start, int stop)

## Method Details

### setEndLine

public void setEndLine(int endLine)

### getEndLine

public int getEndLine()

### setEndColumn

public void setEndColumn(int endColumn)

### getEndColumn

public int getEndColumn()